import { UploadStatisticsDto, StorageStatisticsSegmentDto } from "@upload-io/upload-shared-iso";
export interface StorageStatisticsDto {
    caches: {
        [cacheId: string]: StorageStatisticsSegmentDto | undefined;
    };
    uploads: UploadStatisticsDto;
}
export interface StorageStatisticsUnboxedDto {
    caches: {
        [cacheId: string]: StorageStatisticsSegmentDto | null;
    };
    uploads: UploadStatisticsDto;
}
export declare namespace StorageStatisticsDto {
    const empty: StorageStatisticsDto;
    function combine(left: StorageStatisticsDto, right: StorageStatisticsDto): StorageStatisticsDto;
}
